/*
  This software is the confidential and proprietary information of
  Smardec. You shall not disclose or distribute such Confidential Information.
  This software shall not be integrated, copied (partially or fully),
  or reverse engineered into any other software, program, or code that is
  not intended for Smardec. You shall use it only in accordance with the terms
  of the license agreement you entered into with Smardec.

  Copyright (C) 2003-2006 Smardec. All rights reserved.

  http://www.smardec.com

*/

package com.smardec.demo.asc.xpmenu.renderers;

import com.smardec.asc.animatepanel.AnimatePanelRenderer;

import javax.swing.*;
import java.awt.*;


/**
 * Sample class that demonstrates the usage of <code>JAnimatePanel</code>.
 */
public class XPPanelRenderer extends JComponent implements AnimatePanelRenderer {

    public Component getAnimatePanelRendererComponent(JPanel jPanelBody) {
        setSize(jPanelBody.getSize());
        return this;
    }

    public void paint(Graphics g) {
        g.setColor(new Color(102, 123, 216));
        g.fillRect(0, 0, getWidth(), getHeight());
    }
}
